summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--package.inc.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/package.inc.sh b/package.inc.sh
index dcdc331..f1b5797 100644
--- a/package.inc.sh
+++ b/package.inc.sh
@@ -122,6 +122,12 @@ package_show_file() {
fi
fi
+ if ! (( OPT_UPSTREAM )); then
+ local trepo
+ read -r trepo _ < <(package_get_repos_with_arch "$pkgname" packages32)
+ [[ $trepo ]] && git show "remotes/packages32/master:$trepo/$pkgname/$file" 2>/dev/null \
+ && return
+ fi
git show "remotes/$remote/packages/$pkgname:$subtree$file"
}